    Return the units used when fitting spectral data.

get_analysis(id=None)
id - int or str, optional

Display the analysis setting for the default data set:

>>> print(get_analysis())

Check whether the data set labelled 'SgrA' is using the wavelength setting:

>>> is_wave = get_analysis('SgrA') == 'wavelength'

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set to query. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

setting -- The analysis setting for the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023